import java.util.Hashtable;

import javax.naming.InitialContext;
import javax.naming.NamingException;

public class JNDITest {

    public static void main(String[] args) {
        JNDITest test = new JNDITest();
        test.test();
    }
    
    public void test() {
        Hashtable<String, String> ht = new Hashtable<String, String>();
        ht.put("java.naming.factory.initial", "com.sun.enterprise.naming.SerialInitContextFactory");
        ht.put("com.sun.appserv.iiop.endpoints", "localhost:3700");
        
        try {
            System.out.println("start initial context.");
            long startTime = System.currentTimeMillis();
            InitialContext initCtxt = new InitialContext(ht);
            long initedTime = System.currentTimeMillis();
            System.out.println("initial context complete, use time : " + (initedTime - startTime) + " millisecond.");

            System.out.println("start lookup.");
            Object  queCnctFctry = initCtxt.lookup("jms/__defaultConnectionFactory");
            long lookupedTime = System.currentTimeMillis();
            System.out.println("lookup complete, use time : " + (lookupedTime - initedTime) + " millisecond.");
        } catch (NamingException e) {
            e.printStackTrace();
        }
    }
}
